<?php

require_once('functions.php');

if (isset($_FILES['image_file_input'])) {
    $thumb['status'] = FALSE;
    set_time_limit(0);
    $allowed_image_type = array("image/gif", "image/jpeg", "image/pjpeg", "image/png", "image/x-png");
    // Validate image
    // Check any error occur whicle uploading the image 
    if ($_FILES['image_file_input']["error"] > 0) {
        $thumb['error'] = "File Error";
    }
    // Check type of the image, we have already defined the allowed image type above, if the image type is not matched then show error message
    elseif (!in_array($_FILES['image_file_input']["type"], $allowed_image_type)) {
        $thumb['error'] = "Invalid image format";
    }
    // Check size of the image, the size of an image should be less then 4 MB if the size is greater than 4 MB show error message.
    elseif (round($_FILES['image_file_input']["size"] / 1024) > 4096) {
        $thumb['error'] = "Maximum file upload size is exceeded";
    }
    // If no error found in the image then save the image and create its thumbnails
    else {
        // get tmp path of the image from File
        $temp_path = $_FILES['image_file_input']['tmp_name'];
        // get image name
        $file = pathinfo($_FILES['image_file_input']['name']);
        // get the extension of the image(jpg/gif/jpeg/png)
        $file_type = $file["extension"];
        // Create new file name for thumbnails by using 3 digit random number,time and file type
        $file_name = rand(222, 888) . time() . ".$file_type";
        
        //the path for small thumbnail folder
        $small_thumbnail_path = "uploads/small/";
        //Create new folder if not exist
        create_folder($small_thumbnail_path);
        // Path of the small thumbnail image
        $small_thumbnail = $small_thumbnail_path . $file_name;
        
        // path of the medium thumbnail folder
        $medium_thumbnail_path = "uploads/medium/";
        //Create new folder if not exist
        create_folder($medium_thumbnail_path);
        // Path of the medium thumbnail image
        $medium_thumbnail = $medium_thumbnail_path . $file_name;

        $large_thumbnail_path = "uploads/large/";
        //Create new folder if not exist
        create_folder($large_thumbnail_path);
        // Path of the large thumbnail image
        $large_thumbnail = $large_thumbnail_path . $file_name;
        
        // Create small thumbnail of size 150*90
        $thumb1 = create_thumbnail($temp_path, $small_thumbnail, $file_type, 150, 90);
        // Create medium thumbnail of size 300*180
        $thumb2 = create_thumbnail($temp_path, $medium_thumbnail, $file_type, 300, 180);
        // Create large thumbnail of size 550*300
        $thumb3 = create_thumbnail($temp_path, $large_thumbnail, $file_type, 550, 300);

        // After creation of all the images store the path of the images in $thumb array.
        if ($thumb1 && $thumb2 && $thumb3) {
            $thumb['status'] = TRUE;
            $thumb['small'] = $small_thumbnail;
            $thumb['medium'] = $medium_thumbnail;
            $thumb['large'] = $large_thumbnail;
        }
    }
    echo json_encode($thumb);
}
?>	