<?php
/*
 * index.php
 * Description- #This file is used to create a form to uplaod an image and display 3 different sizes(150*90,300*180,550*300) of an image. We have used jquery 
 *             and ajax to submit the form.
 */
?>

<!doctype html>
<html>
    <head>
        <meta charset="utf-8">
        <title>How to Create Multiple Thumbnails While Uploading Image</title>
        <?php //include css and jquery files ?>
        <link href="style.css" rel="stylesheet">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.form/3.51/jquery.form.min.js"></script>

        <script>
            // After choosing the image this function will call and submit the form
            $(document).on('change', '#image_file_input', function () {
                var progressBar = $('.progress_bar');
                var bar = $('.progress_bar .bar');
                var percent = $('.progress_bar .percent');
                var percentVal;
                $('#image_upload_form').ajaxForm({
                    // Before uploading the file the progress bar will show 0% progress
                    beforeSend: function () {
                        progressBar.fadeIn();
                        percentVal = '0%';
                        bar.width(percentVal)
                        percent.html(percentVal);
                    },
                    //After suceessful uploading the file the progress bar will show 100% progress
                    success: function (html, statusText, xhr, $form) {
                        obj = $.parseJSON(html);
                        if (obj.status) {
                            percentVal = '100%';
                            bar.width(percentVal)
                            percent.html(percentVal);
                            $("#small-preview").prop('src', obj.small);
                            $("#medium-preview").prop('src', obj.medium);
                            $("#large-preview").prop('src', obj.large);
                            $(".img_preview").show();
                        }
                    }
                }).submit();

            });
        </script>
    </head>

    <body>
        <h2>How to Create Multiple Thumbnails While Uploading Image</h2>
        <br>
        <div id="form-container">
            <div id="imgContainer">
                <!--  Created a form to post the values in the image_upload_submit.php file which validate the image before uploading and thumbnails creation-->
                <form enctype="multipart/form-data" action="image_upload_submit.php" method="post" name="image_upload_form" id="image_upload_form">
                    <!-- Created a field to upload image-->
                    <div id="selectImage">
                        <div id="imgChange">
                            <span>Choose Image</span> 
                            <input type="file" accept="image/*" name="image_file_input" id="image_file_input">
                        </div>
                    </div>
                    <!-- Set progress bar Status 0 by default -->
                    <div class="progress_bar">
                        <div class="percent">0%</div>
                        <div class="bar"></div>
                    </div>
                </form>
            </div>
            <br>
            <!-- This section will display after uploading the image succesfully. This section displays the different sizes of an image --->
            <div class="img_preview" id="image-holder" style="display: none">
                <img width="150" height="90" id="small-preview" src="#" alt="small image" /> 
                <img width="300" height="180" id="medium-preview" src="#" alt="medium image" /> 
                <img width="550" height="300" id="large-preview" src="#" alt="big image" />
            </div>
        </div>
    </body>
</html>
